> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a company

> Update an existing company with new property values. These properties and values must be specified by JSON in the request body.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/crm-companies-v2.json PUT /companies/v2/companies/{companyId}
openapi: 3.0.0
info:
  title: CRM Companies API v2
  version: 2.0.0
  description: Legacy CRM Companies API v2 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /companies/v2/companies/{companyId}:
    put:
      summary: Update a company
      description: >-
        Update an existing company with new property values. These properties
        and values must be specified by JSON in the request body.
      operationId: putcompaniesv2companiescompanyId
      parameters:
        - name: companyId
          in: path
          required: true
          description: Unique identifier for a particular company.
          schema:
            type: string
        - name: vidOffset
          in: query
          required: false
          description: The vid to offset the query by.
          schema:
            type: string
        - name: count
          in: query
          required: false
          description: Specifies the number of contacts to be returned.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - properties
              properties:
                properties:
                  type: array
                  description: A list of properties to update for the company.
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      value:
                        type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a company - Example 1
                  value:
                    - properties:
                        - name: description
                          value: A far better description than before
                    - sourceId: null
                      timestamp: 1485550052993
                      versions:
                        - timestamp: 1485550052993
                          sourceVid: []
                          name: hs_lastmodifieddate
                          value: '1485550052993'
                          source: CALCULATED
                      value: '1485550052993'
                      source: CALCULATED
                    - sourceId: API
                      timestamp: 1485550052985
                      versions:
                        - name: createdate
                          sourceId: API
                          timestamp: 1485550052985
                          value: '1485550052985'
                          source: API
                          sourceVid: []
                      value: '1485550052985'
                      source: API
                    - sourceId: null
                      timestamp: 1485550052985
                      versions:
                        - timestamp: 1485550052985
                          sourceVid: []
                          name: name
                          value: A company name
                          source: API
                      value: A company name
                      source: API
                    - sourceId: '100097'
                      timestamp: 1485550869914
                      versions:
                        - name: description
                          sourceId: '100097'
                          timestamp: 1485550869914
                          value: A far better description than before
                          source: API
                          sourceVid: []
                      value: A far better description than before
                      source: API

````